@ECHO OFF
IF DEFINED PROGRAMFILES(X86) (
Set Reg.Key=HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Maxis\SimCity
goto start
)

IF NOT DEFINED PROGRAMFILES(X86) (
Set Reg.Key=HKEY_LOCAL_MACHINE\SOFTWARE\Maxis\SimCity
goto start
)

:start
Set Reg.Val=Install Dir
For /F "Tokens=3*" %%A In ('Reg Query "%Reg.Key%" /v "%Reg.Val%" ^| Find /I "%Reg.Val%"' ) Do Call Set simsdir=%%B
if exist "%simsdir%SimCityData\BulldozerZONESMenu.package" del "%simsdir%SimCityData\BulldozerZONESMenu.package"
if exist "%simsdir%SimCityData\SimRollerCompletePackv07.package" del "%simsdir%SimCityData\SimRollerCompletePackv07.package"
if exist "%simsdir%SimCityData\SimRollerCompletePackv063.package" del "%simsdir%SimCityData\SimRollerCompletePackv063.package"
if exist "%simsdir%SimCityData\SimRollerCompletePackv062.package" del "%simsdir%SimCityData\SimRollerCompletePackv062.package"
if exist "%simsdir%SimCityData\SimRollerCompletePackv061.package" del "%simsdir%SimCityData\SimRollerCompletePackv061.package"
if exist "%simsdir%SimCityData\SimRollerCompletePackv060.package" del "%simsdir%SimCityData\SimRollerCompletePackv060.package"
if exist "%simsdir%SimCityData\SimRollerCompletePack.package" goto deleteconfirm
goto install

:install
SET /P yesno=Proceed with installation? [Y/N]:
IF "%yesno%"=="n" GOTO exit
IF "%yesno%"=="N" GOTO exit
copy "%cd%\SimCityData\AmusementparkOutside.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\DebugRepositioning.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\SimRollerCompletePack.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\SimrollerDebug.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\RotatedTrain.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\JetPlanes.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\1_PloppableTree.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\1_TrafficLightsBGone.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\1_sewageTOPoliceBASEbyFELGARD.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\1_bRangeRemovals.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\1_aBreakableTents.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityData\1_aaWHATHAVEIDONE.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityUserData\Packages\1_Universal_Street_Script.package" "%simsdir%SimCityUserData\Packages\"
copy "%cd%\SimCityUserData\EcoGame\SimCity-Scripts_278778480.package" "%simsdir%SimCityUserData\EcoGame\"
copy "%cd%\SimCityUserData\EcoGame\SimCityDLCLondon-Scripts_276985846.package" "%simsdir%SimCityUserData\EcoGame\"
copy "%cd%\SimCityUserData\EcoGame\SimCityDLCParis-Scripts_276985846.package" "%simsdir%SimCityUserData\EcoGame\"
pause Finished Installing
SET /P yesno=Would you like to install the Airships plopoutside addon? [Y/N]:
IF "%yesno%"=="y" GOTO airshipsinstall
IF "%yesno%"=="Y" GOTO airshipsinstall
goto exit

:airshipsinstall
copy "%cd%\SimCityData\1_airships.package" "%simsdir%SimCityData\"
copy "%cd%\SimCityUserData\EcoGame\SimCityDLCAirships-Scripts_271717126.package" "%simsdir%SimCityUserData\EcoGame\"
pause Finished Installing Airships addon
goto exit

:deleteconfirm
SET /P yesno=MOD Installed! Uninstall to upgrade or remove for good? [Y/N]:
IF "%yesno%"=="y" GOTO delete
IF "%yesno%"=="Y" GOTO delete
goto exit

:delete
del "%simsdir%\SimCityData\SimRollerCompletePack.package"
del "%simsdir%\SimCityData\DebugRepositioning.package"
del "%simsdir%\SimCityData\SimrollerDebug.package"
if exist "%simsdir%SimCityData\AmusementparkOutside.package" del "%simsdir%\SimCityData\AmusementparkOutside.package"
if exist "%simsdir%SimCityData\RotatedTrain.package" del "%simsdir%\SimCityData\RotatedTrain.package"
if exist "%simsdir%SimCityData\JetPlanes.package" del "%simsdir%\SimCityData\JetPlanes.package"
if exist "%simsdir%SimCityData\1_PloppableTree.package" del "%simsdir%\SimCityData\1_PloppableTree.package"
if exist "%simsdir%SimCityData\1_TrafficLightsBGone.package" del "%simsdir%\SimCityData\1_TrafficLightsBGone.package"
if exist "%simsdir%SimCityData\1_sewageTOPoliceBASEbyFELGARD.package" del "%simsdir%\SimCityData\1_sewageTOPoliceBASEbyFELGARD.package"
if exist "%simsdir%SimCityData\1_bRangeRemovals.package" del "%simsdir%\SimCityData\1_bRangeRemovals.package"
if exist "%simsdir%SimCityData\1_aBreakableTents.package" del "%simsdir%\SimCityData\1_aBreakableTents.package"
if exist "%simsdir%SimCityData\1_aaWHATHAVEIDONE.package" del "%simsdir%\SimCityData\1_aaWHATHAVEIDONE.package"
if exist "%simsdir%SimCityData\1_airships.package" del "%simsdir%SimCityData\1_airships.package"
if exist "%simsdir%SimCityUserData\Packages\1_Universal_Street_Script.package" del "%simsdir%SimCityUserData\Packages\1_Universal_Street_Script.package"
del "%simsdir%\SimCityUserData\EcoGame\SimCity-Scripts_278778480.package"
del "%simsdir%\SimCityUserData\EcoGame\SimCityDLCLondon-Scripts_276985846.package"
del "%simsdir%\SimCityUserData\EcoGame\SimCityDLCParis-Scripts_276985846.package"
del "%simsdir%\SimCityUserData\EcoGame\SimCityDLCAirships-Scripts_271717126.package"
pause All files have been uninstalled
SET /P yesno=Run again to apply update? [Y/N]:
IF "%yesno%"=="y" GOTO start
IF "%yesno%"=="Y" GOTO start
:exit